<?php
	session_start();
	include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
	if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
	
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	//-------------------------
	$StrONE=trim(V($_GET['CmdB']));	
	//-------------------------
	$StrAlm=V($_POST['CboAlm']);		
	$StrCod=V($_POST['TxtCod']);		
	$StrDes=V($_POST['TxtDes']);
	$StrMar=V($_POST['CboMar']);
	$StrDex=V($_POST['TxtDex']);
	$StrHax=V($_POST['TxtHax']);
	$StrLin=V($_POST['TxtLin']);	
	$Fab="";	
	$Mod="";	
	//
	$Fab_=LIKE($Fab);
	$Mod_=LIKE($Mod);
	
	$IdUsu=$_SESSION['SYS_USER_ID'];
	//
	if(strlen($StrMar)==0)$StrMar="TODOS";
	if(strlen($StrCmd)==0)$StrCmd=V($_GET['TxtAc']);	
	
	if($_SESSION['SYS_USER_ALM']=="%"){
		if(strlen($StrAlm)==0)$StrAlm=GetSO("alm_nombre","almacenes","","alm_nombre");
	}else{
		$StrAlm=$_SESSION['SYS_USER_ALM'];
	}
	

	$StrAlm=T($StrAlm);

	
	$StrCodT=$StrCod."%";
	$StrDesT=$StrDes."%";
	$StrMarT=$StrMar;
	$StrLin_=VCbo($StrLin);

	if($StrMarT=="TODOS") $StrMarT="%";
	if(strlen($StrDex)==0){
		$StrDex_=0;
	}else{
		$StrDex_=vbval($StrDex);
	}
	if(strlen($StrHax)==0){
		$StrHax_=1000000;
	}else{
		$StrHax_=vbval($StrHax);
	}
	//
	if($StrDex_ > $StrHax_){
		$TEMP=$StrDex_;
		$StrDex_=$StrHax_;
		$StrHax_=$TEMP;
	}
	//
$FF="ID>0 
	AND ALM LIKE '$StrAlm'
	AND COD LIKE '$StrCodT'  
	AND DESCRIPCION LIKE '$StrDesT' 
	AND MARCA LIKE '$StrMarT'			  
	AND STOCK>=$StrDex_ 
	AND STOCK<=$StrHax_
	AND LINEA LIKE '$StrLin_' 
	AND FAB LIKE '$Fab_' AND MODELO LIKE '$Mod_' ";

	$LStrTR=gn("count(*)","v_stocks",$FF);
	$LStrPag=V($_POST['TxtPag']);	
	if($StrCmd=="F"){$LStrPag="1";}
	$VP_RegXPag=18;	
	$LStrPag=PagGet($LStrPag,$StrCmd,$LStrTR,$VP_RegXPag);
	//-------------------------
	if($StrCmd=="PDF"){	
		//
		$TI="REPORTE DE STOCK - ALMACEN : $StrAlm" ;
		
		$s="SELECT COD,LIN,FAB,MODELO,DESCRIPCION,STOCK FROM v_stocks
			WHERE $FF ORDER BY DESCRIPCION,MARCA ";
		//
		$T="CODIGO,LINEA,FABRICANTE,MODELO,DESCRIPCION,MARCA,STOCK";
		$E="12,11,11,11,36,6";
		$A=" 0, 0, 0, 0, 0,2";		
		//
		$_ID=GenId("id","reportes");
		PDF_TIT($_ID,$TI);
		PDF_SQL($_ID,$s);
		PDF_CAM($_ID,$T);
		PDF_ESP($_ID,$E);
		PDF_ANC($_ID,$A);		
		$StrFilePDF=PDF_CREATE($_ID);	
		$StrMsg="onload=\"alert('Ahora puede descargar el reporte');\"";
}
	$LStrFoc="document.getElementById('CboAlm').focus();";
	$LStrMsg="onload=\"$LStrFoc;\"";


?>
<html >
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Reporte de stock segun rango de stock</title>
<!----------------------------------------->
<?php AddJs(); ?>
<script type="text/javascript" src="ja/funciones.js"></script>

<!----------------------------------------->
<link rel="stylesheet" type="text/css" href="css/estiloss.css"  />
<link rel="stylesheet" type="text/css" href="css/basic.css"  />
<link rel="stylesheet" type="text/css" href="css/mnu.css"  />
<!----------------------------------------->
<style type="text/css">
.cF {height:600px;width:1250px;position:relative;top:0px}
.mM {height:34px;width:1250px;position:relative;top:0px;background-color:#09C; z-index:500;}

</style>

<!----------------------------------------->
<script>
$(document).ready(function(){  
   Inicializar();
   jF("CboAlm");
});

function fGenPDF(){	
	document.getElementById("TxtAc").value="GEN_PDF";
	document.getElementById("Frm").submit();
}


$(document).keydown(function(e){
	var AT=gv("TxtAT");

	if(e.which==66 && e.altKey){
		if(AT=="1"){	
		document.getElementById("CmdB").click();
		return;
		}
	}

	if(e.which==86 && e.altKey){
		if(AT=="1"){
		document.getElementById("CmdZ").click();
		return;
		}
	}
  
});
</script>

<script language="javascript">
$(document).ready(function() {
	$(".botonExcel").click(function(event) {
		$("#datos_a_enviar").val( $("<div>").append( $("#Exportar_a_Excel").eq(0).clone()).html());
		$("#FormularioExportacion").submit();
});
});
</script>
<!----------------------------------------->

<body  <?php echo $LStrMsg;?>  >
<div align="center">

<div class="mM" align="left" style="font-size:12px">
<?php
$HTM=file_get_contents("http://inversionessounduniversal.com/ventas/phpmnu.php?USER_ID=$IdUsu");
echo $HTM;
?>
</div>

<div Id="DivFRM"  class="cF" style="background-color:#FFFFFF;" >
<form id="Frm" name="Frm" method="post" action="rep_stock_sr.php" style="margin:0px; padding:0px; display:inline;" onSubmit="return false;">

<!----------------------------------------->
<div id="DivT" class="dT"  style="width:1250px;">
<img src="b.png" class="iT" />
<div class="tT">REPORTE DE STOCK VALORIZADO POR RANGO</div>
</div>

<!----------------------------------------->

<div class="s1" style="left: 41px; top: 114px; width: 102px;">
ALMACEN</div>
<select name="CboAlm" id="CboAlm" 
class="lt" style="left: 40px; top: 129px; width: 163px" 
tabindex="<?php echo ++$TI;?>">
<?php 
	if($IdUsu>=1  && V($_SESSION['SYS_USER_ALM'])!="%"){
		echo ListALM($StrAlm); 
	}else{
    	echo FCBO("alm_nombre","almacenes","id_almacen>0",$StrAlm,"N","N");
    }
?>
</select>

<div class="s1" style="left: 212px; top: 114px; width: 52px;">
CODIGO</div>
<input name="TxtCod" type="text" id="TxtCod" 
class="lt" style="left: 212px; top: 129px; width: 95px" 
value="<?php echo $StrCod;?>"  
tabindex="<?php echo ++$TI;?>"/>
<div class="s1" style="left: 317px; top: 114px; width: 447px;">
  DESCRIPCION</div>
<input name="TxtDes" type="text" id="TxtDes" 
class="lt" style="left: 316px; top: 129px; width: 456px;"
value="<?php echo $StrDes;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 788px; top: 113px; width: 99px;">
MARCA</div>
<select name="CboMar" id="CboMar" 
class="lt" style="position: absolute; left: 785px; top: 129px; width: 105px;"
tabindex="<?php echo ++$TI;?>">
<?php	echo FCBO_("mar_nombre","marcas","id_marca>0",$StrMar,"S","")?>  
</select>

<div class="s1" style="left: 899px; top: 92px; width: 138px;">RANGO DE STOCK</div>
<div class="s1" style="left: 899px; top: 113px; width: 62px;">
DESDE </div>
<input name="TxtDex" type="text" id="TxtDex" 
class="nei" style="left: 896px; top: 129px; width: 66px; text-align: right" 
value="<?php echo $StrDex;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 974px; top: 113px; width: 63px;">
HASTA </div>
<input name="TxtHax" type="text" id="TxtHax" 
class="nei" style="left: 973px; top: 129px; width: 59px; text-align: right" 
value="<?php echo $StrHax;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 1045px; top: 113px; width: 119px;">
LINEA </div>
<select name="TxtLin" id="TxtLin" 
class="lt" style="left: 1044px; top: 129px; width: 120px" 
tabindex="<?php echo ++$TI;?>">
<?php echo FCBOO_("lin_nombre","lineas","id_linea>0",$StrLin,"S","","lin_nombre");?>
</select>

<!----------------------------------------->
<div id="DivBtn" align="left" style="position:absolute; left: 33px; top: 71px; width: 551px; height: 26px;">
<input name="CmdB" type="button" id="CmdB" class="btm"
value="Buscar" onClick="fFiltrar();"  
tabindex="<?php echo ++$TI;?>" />

<input name="CmdPDF" type="button" id="CmdPDF" class="btm" 
value="Generar PDF" onClick="fGenPDF();"
tabindex="<?php echo ++$TI;?>" />
</div>
    
<!----------------------------------------->


<div class="datagrid" style="position:absolute; left: 35px; top: 159px; width: 1180px; height: 409px; overflow:auto">
<table id="Exportar_a_Excel">
<thead>
<tr>
<td colspan="8" height="18" align="center"><?php echo PagBtn($LStrTR,$VP_RegXPag,$LStrPag);?></td>
</tr>

<tr>
<tr height="18">
<th width="68" style="text-align:left; background:#999">CODIGO</th>
<th width="394" style="text-align:left; background:#999">DESCRIPCION</th>
<th width="161" style="text-align:left; background:#999">MARCA</th>
<th width="155"	style="text-align:left; background:#999">LINEA</th>
<th width="56" 	style="text-align:right; background:#999">STOCK</th>
</tr> 

</thead>
<tbody> 

<?php		  		
    $IdAlm=gn("id_almacen","almacenes","alm_nombre='$StrAlm'");		  	
    $s="SELECT ID,COD,LINEA,DESCRIPCION,MARCA,LINEA,STOCK,FAB,MODELO  
        FROM v_stocks WHERE ".$FF."	ORDER BY DESCRIPCION,MARCA ";	
				
    $s=PagSql($s,$LStrPag,$VP_RegXPag,$LStrTR);
    $result = grs($s);
    while ($row = $result->fetch_row()){
		?>	
		<tr onDblClick="location.href='ajustes.php?Id=<?php echo $row[0];?>&Pag=0'">
		<!----------------------------------------------->
		<td>'<?php echo $row[1];?></td>  
		<td><?php echo vbl($row[3],51);?></td> 
		<td><?php echo vbl($row[4],20);?></td>
		<td><?php echo vbl($row[5],22);?></td>  
		<td style="text-align:right"><?php echo $row[6];?></td> 
		<!----------------------------------------------->
		</tr>
		<?php
    }

?>

</tbody>	
</table>
</div>

<!----------------------------------------->    
<?php include("ocultos.php");?>

</form>

<form action="ficheroExcel.php" 
    method="post" target="_blank" id="FormularioExportacion" >
    
    <div style="position: absolute; left: 220px; top: 71px; width: 45px; height: 15px;">  
    <input name="" type="button" class="botonExcel btm" value="Exportar"  />
    <input type="hidden" id="datos_a_enviar" name="datos_a_enviar" />
    </div>
</form>

<?php
if($StrCmd=="GEN_PDF"){
	$_PDF=GEN_PDF($FF,$StrAlm,$StrCod,$StrDes,$StrMar,
			      $CboSto,$StrDex,$StrHax,$StrLin,
				  $Fab,$Mod);
	$StrDESCARGAR=$_PDF;
}

function GEN_PDF($FF,$StrAlm,$StrCod,$StrDes,
				 $StrMar,$CboSto,$StrDex,$StrHax,$StrLin,$Fab,$Mod){
$_CxL=90;
$_S=10;	

$pdf = new PDF('P','mm',A4);
$pdf->AddPage();$pdf->SetFont('courier','',10);
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"REPORTE DE STOCK SEGUN RANGO",0,1);	
$pdf->Cell(0,4,"",0,1);	
//------------------------------------------

if(strlen($StrAlm)>0){
$_ENC=vbl("ALMACEN".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
$_ENC=$_ENC." ".vbl($StrAlm.vbfill(" ",30),30);
$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrCod)>0){
	$_ENC=vbl("CODIGO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
	$_ENC=$_ENC." ".vbl($StrCod.vbfill(" ",30),30);
	$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrLin)>0){
	$_ENC=vbl("LINEA".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
	$_ENC=$_ENC." ".vbl($StrLin.vbfill(" ",30),30);
	$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($Fab)>0){
	$_ENC=vbl("FABRICANTE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
	$_ENC=$_ENC." ".vbl($Fab.vbfill(" ",30),30);
	$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($Mod)>0){
	$_ENC=vbl("MODELO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
	$_ENC=$_ENC." ".vbl($Mod.vbfill(" ",30),30);
	$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrDes)>0){
	$_ENC=vbl("DESCRIPCION".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
	$_ENC=$_ENC." ".vbl($StrDes.vbfill(" ",30),30);
	$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrMar)>0){
	$_ENC=vbl("MARCA".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
	$_ENC=$_ENC." ".vbl($StrMar.vbfill(" ",30),30);
	$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($CboSto)>0){
	$_ENC=vbl("STOCK".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
	$_ENC=$_ENC." ".vbl($CboSto.vbfill(" ",30),30);
	$pdf->Cell(0,4,$_ENC,0,1);	
}
if(strlen($StrDex)>0){
	$_ENC=vbl("DESDE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
	$_ENC=$_ENC." ".vbl($StrDex.vbfill(" ",30),30);
	$pdf->Cell(0,4,$_ENC,0,1);	
}
if(strlen($StrHax)>0){
	$_ENC=vbl("HASTA".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
	$_ENC=$_ENC." ".vbl($StrHax.vbfill(" ",30),30);
	$pdf->Cell(0,4,$_ENC,0,1);	
}

$pdf->Cell(0,4,"",0,1);	

//------------------------------------------
$_ENC=vbl("CODIGO".vbfill(" ",12),12);
$_ENC=$_ENC." ".vbl("LINEA".vbfill(" ",18),18);
$_ENC=$_ENC." ".vbl("FABRICANTE".vbfill(" ",15),15);
$_ENC=$_ENC." ".vbl("MODELO".vbfill(" ",10),10); 
$_ENC=$_ENC." ".vbl("DESCRIPCION".vbfill(" ",25),25);
$_ENC=$_ENC." ".vbr(vbfill(" ",5)."STOCK",5);

$pdf->Cell(0,4,$_ENC,0,1);	
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	
//
$s="SELECT ID,COD,LINEA,DESCRIPCION,MARCA,STOCK,FAB,MODELO
    FROM v_stocks WHERE ".$FF."	ORDER BY DESCRIPCION,MARCA "; 

$result = grs($s);
while ($row = $result->fetch_row()){
	$_ENC=vbl($row[1].vbfill(" ",12),12);
	$_ENC=$_ENC." ".vbl($row[2].vbfill(" ",18),18);
	$_ENC=$_ENC." ".vbl($row[6].vbfill(" ",15),15);
	$_ENC=$_ENC." ".vbl($row[7].vbfill(" ",10),10);
	$_ENC=$_ENC." ".vbl($row[3].vbfill(" ",25),25);	
	$_ENC=$_ENC." ".vbr(vbfill(" ",5).$row[5],5);
	$pdf->Cell(0,4,$_ENC,0,1);	
}

$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	
$pdf->Cell(0,4,$_TI." ".$_TD,0,1);	
$_S=20;
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"",0,1);	
//
$PDF_NAME="ReporteStockXRango.pdf";
$pdf->Output($PDF_NAME);		
return $PDF_NAME;
}
?>

<?php
if(strlen($StrDESCARGAR)>0){
echo "<div id=\"layer51\" 
	  style=\"position:absolute; left: 223px; top: 102px; 
	  width: 88px; background-color: #FFCC00; layer-background-color: #FFCC00; 
	  border: 1px none #000000; height: 17px;\">";
echo "<div align=\"center\" class=\"Estilo2\"> ";
echo " <a href=\"$StrDESCARGAR\" download>Desc.PDF</a> ";
echo "</div>";
echo "</div>";
}
?>

</div>
</div>
</body>
</html>
